import { Link, Meta, Title, useNavigate } from "solid-start";

function UEberblickENG() {
  const navigate = useNavigate();
  return (
    <>
      <Link rel="apple-touch-icon" sizes="57x57" href="/favicon/apple-icon-57x57.png" />
      <Link rel="apple-touch-icon" sizes="60x60" href="/favicon/apple-icon-60x60.png" />
      <Link rel="apple-touch-icon" sizes="72x72" href="/favicon/apple-icon-72x72.png" />
      <Link rel="apple-touch-icon" sizes="76x76" href="/favicon/apple-icon-76x76.png" />
      <Link rel="apple-touch-icon" sizes="114x114" href="/favicon/apple-icon-114x114.png" />
      <Link rel="apple-touch-icon" sizes="120x120" href="/favicon/apple-icon-120x120.png" />
      <Link rel="apple-touch-icon" sizes="144x144" href="/favicon/apple-icon-144x144.png" />
      <Link rel="apple-touch-icon" sizes="152x152" href="/favicon/apple-icon-152x152.png" />
      <Link rel="apple-touch-icon" sizes="180x180" href="/favicon/apple-icon-180x180.png" />
      <Link rel="icon" type="image/png" sizes="192x192" href="/favicon/android-icon-192x192.png" />
      <Link rel="icon" type="image/png" sizes="32x32" href="/favicon/favicon-32x32.png" />
      <Link rel="icon" type="image/png" sizes="96x96" href="/favicon/favicon-96x96.png" />
      <Link rel="icon" type="image/png" sizes="16x16" href="/favicon/favicon-16x16.png" />
      <Link rel="manifest" href="/favicon/manifest.json" />
      <Meta name="msapplication-TileColor" content="#ffffff" />
      <Meta name="msapplication-TileImage" content="/favicon/ms-icon-144x144.png" />
      <Meta name="theme-color" content="#ffffff" />
      <Meta charset="UTF-8" />
      <Meta http-equiv="X-UA-Compatible" content="IE=edge" />
      <Meta name="viewport" content="width=device-width, initial-scale=1.0" />
      <Meta name="author" content="Julian Gerhardt" />
      <Meta name="keywords" content="Elektrische einräder, EUC, Monowheels, Kingsong, Inmotion, Gotway" />
      <Title>Introduction EUCs</Title>
      <Link rel="stylesheet" href="/styles/UEberblick.css" />
      <div id="navbar">
        <a href="/StartENG">Start</a>
        <a href="#start">What are EUCs?</a>
        <a href="#why">Why EUCs?</a>
        <a href="#funktion">Functionality</a>
        <a href="#begriffe">Glossarry</a>
        <a href="#sicherheit">Safety</a>
        <a href="#ausrüstung">Gear</a>
        <a href="#cutout">Cut-out's</a>
        <a href="#akkuss">Battery safety</a>
        <a href="#fahrweise">Ride style</a>
        <a href="#wobbles">Wobbles</a>
        <a href="#leistung">Performance</a>
        <a href="#federung">Suspension</a>
        <a href="#reifen">Tires</a>
        <a href="#historie">History</a>
        <a href="/HerstellerENG">Manufacturer</a>
        <a href="#geräte">Device list</a>
        {/* <button onclick="myFunction()">Light Mode</button> */}
        {/* <button onclick="window.location.href='UEberblickDE';">Sprache</button> */}
        <div>{/* <button onclick="closeit()"><a> <-Close</a></button> */}</div>
      </div>
      <div id="sidenavbar">
        <button onClick={() => navigate(-1)}>Back</button>
        <a href="#start">Start</a>
        {/* <button onclick="menü()">Menu</button> */}
      </div>
      <header id="start">
        <img src="/images/cover.jpg" />
      </header>
      {/*
    <!--light-mode-->
    */}{" "}
      {/*
    <script>
      function myFunction() {
        var element = document.body;
        element.classList.toggle("light-mode");
      }
    </script>
    */}{" "}
      {/*
    <!--menü-->
    */}{" "}
      {/*
    <script>
      function menü() {
        var element = document.body;
        element.classList.toggle("menü");
        document.getElementById("sidenavbar").style.visibility = "hidden";
        document.getElementById("navbar").style.visibility = "visible";
      }
    </script>
    */}
      {/* <script>
        document.getElementById("imghover1").addEventListener("mouseover", function_imghover1);
        document.getElementById("imghover1").addEventListener("mouseout", funtion_hide);

        document.getElementById('imghover2').addEventListener("mouseover", function_imghover2);
        document.getElementById('imghover2').addEventListener("mouseout", funtion_hide); 

        getElementById('imghover3').addEventListener("mouseover", function_imghover3);
        getElementById('imghover3').addEventListener("mouseout", funtion_hide);

    function function_imghover1(){    
        document.getElementById("hidden1").style.display = "block";
        let position = document.getElementById("hidden1");
        
        const onMouseMove = (e) =>{
            position.style.left = e.pageX + 'px';
            position.style.top = e.pageY + 'px';
        }

        document.addEventListener('mousemove', onMouseMove);
    }

    function function_imghover2(){    
        document.getElementById('hidden2').style.display = "block";
        let position = document.getElementById('hidden2');
        
        const onMouseMove = (e) =>{
            position.style.left = e.pageX + 'px';
            position.style.top = e.pageY + 'px';
        }

        document.addEventListener('mousemove', onMouseMove);
    }

    function function_imghover3(){    
        document.getElementById('hidden3').style.display = "block";
        let position = document.getElementById('hidden3');
        
        const onMouseMove = (e) =>{
            position.style.left = e.pageX + 'px';
            position.style.top = e.pageY + 'px';
        }

        document.addEventListener('mousemove', onMouseMove);
    }

    function funtion_hide(){
        document.getElementById('hidden1').style.display = "none";
        document.getElementById('hidden2').style.display = "none";
        document.getElementById('hidden3').style.display = "none";
    }
        
    </script> */}
      {/*
    <!--closeit-->
    */}{" "}
      {/*
    <script>
      function closeit() {
        var element = document.body;
        element.classList.toggle("menü");
        document.getElementById("sidenavbar").style.visibility = "visible";
        document.getElementById("navbar").style.visibility = "hidden";
      }
    </script>
    */}{" "}
      {/*
    <!--Intro-->
    */}
      <article>
        <div class="row">
          <h2>Before you read:</h2>
          <p>Here are a few things before you start to read.</p>
          <p>First, this side looks best opened on PC at fullscreen, because then some extra photos and videos will appear which are hidden otherwise. Mouse hover effects also only appear on PC.</p>

          <p>
            Second, you may not know every word written here, which is why there is a <a href="#begriffe">glossary</a> and you can click on certian words to find a definition.
          </p>

          <p>
            Third, this side is very long and takes a deep dive into a lot of topics. Reading everything will take around 30 minutes. <b>Therefore</b>, this side is devided into <b>sections</b>, callable via the navigation bar at the side.
          </p>

          <p>Lastly, to zoom into pictures on pc, just hover your mouse over them, keep mouse in the middle to avoid zooming.</p>
        </div>

        {/*
      <!--was sind eucs-->
      */}
        <div class="row">
          <h2>What are EUCs</h2>

          <div class="righties">
            <img src="/images/what is euc.jpg" />
          </div>
          <img class="lefties" src="/images/KidsKS16X.jpg" />
          <p>
            EUC stands for <b>E</b>lectric<b>U</b>ni<b>C</b>ycle. In simplest terms its a battery powered motor surrounded by a motorcycle tire, kept upright with gyroskopes. The principle is similar to a segway, but more on that in chapter <a href="#funktion">technical functionality</a>. You stand on two sidemounted pedals, facing forward with the wheel inbetween your legs. To accelerate you lean forward, to break you lean back. Steering is similar to a normal unicycle or bike.
          </p>
        </div>

        {/*
      <!--warum?-->
      */}
        <div class="row">
          <h2 id="why">Why ride a unicycle?</h2>
          <div class="righties">
            <video width="auto" height="auto" autoplay muted loop>
              <source src="/videos/whyS22.mp4" type="video/mp4" />
            </video>
          </div>

          <div class="lefties">
            <video width="auto" height="auto" autoplay muted loop>
              <source src="/videos/SkippinTrafficDanceWW.mp4" type="video/mp4" />
            </video>
          </div>

          <p>Many people ask, why not just ride an E-bike or E-scooter? Well, there are multiple reasons:</p>

          <p>
            The <b>riding experience</b> is absolutly astonishing and not comparable with anything else. It becomes a part of your self, an extension of your legs, and it feels absolutly natural to ride. At some point, once you've ridden long enough, handlebars just feel weird and out of place, unessecary and uncomfortable. Just think about inline-skating. You forget that they are there, likewise you forget that you are riding on an EUC, because they become a part of you.
          </p>

          <p>Contradictionary to what many people first think when they see an EUC, you dont need to constantly balance and be super focused on normal ground. It happends automatically, you just lean where you want to go and the rest follows.</p>

          <p>
            This <b>naturalness</b> is even more pronounced when accelerating and decelerating. You are not pushed or pulled by anything like with all other modes of transportation. Instead, you accelerate synchronously with the unicycle as if you were flying. And you can do it quickly too if you want, you have extremely precise speed and acceleration controls, in contrast to some scooters.
          </p>

          <p>
            Another reason is the <b>form factor</b> combined with the performance. No other electric means of transport has so much power and range in such a small package. And it doesn't matter whether you're on the road or in the steepest forest. Electric unicycles can climb steep slopes of up to 50° where no scooter or e-bike can keep up (you can't even walk up there on foot). Depending on the device and skill, 10m wide jumps on MTB trails are doable, as are 2m high drops on flat ground.
          </p>

          <p>
            A <b>range</b> of up to 230 km and a charging time of just 3 hours are unrivaled in the PEV (Personal Electric Vehicle) segment, where even some cheap electric cars are worse. They achieve this through minimal energy consumption and a large battery size, combined with very efficient motors and only one tire resistance instead of 2 or 4. And all this in the size of a suitcase or backpack.
          </p>

          <p>
            Another reason is also due to the form factor: it is super easy to <b>travel with</b>. Every current unicycle has a <a href="#trolley">trolley handle</a>, a pull-out handle similar to a suitcase. Since the device is selfbalancing, it's super easy to have it ride it self alongside you without any hassle. Whether on the train or on the bus, where you can get through yourself, the unicycle can also get through, as the pedals can be folded in to make it even narrower. It doesn't matter how much the device weighs, because unless there are stairs, it always keeps itself upright.
          </p>

          <p>
            But this is not only very <b>practical</b> for travelling, but also <b>in everyday life</b>. You can carry it with you when you go shopping instead of having to chain it outside. No need to park your bike or worry about it being stolen. But the smaller devices in particular have another major advantage: they fit in a car, even in larger quantities. Now, if you want to take a trip to a nice place to ride a unicycle, you can just put them in the trunk, or even between your feet. That would be impossible with e-bikes or scooters. You can also be picked up from anywhere, or be dropped off anywhere and come back yourself. This is a blessing, especially for students or people who don't have or want a car.
          </p>
        </div>

        {/*
      <!--funktion-->
      */}
        <div class="row">
          <h2 id="funktion">Technical functionality</h2>

          <div class="righties">
            <img src="/images/Funktionsblld.webp" />
          </div>
          <div class="lefties">
            <img src="/images/realBattery.jpg" />
          </div>

          <p>As described above, the unicycle has multiple tilt sensors, also called gyroscopes. Several of them are needed, for one as redundancy, and because it has to recognize all 3 directions of tilt. The motherboard takes this data, and outputs a corresponding amount of power to the motor.</p>

          <p>
            The <b id="akku">battery</b> provides the power, which can consist of up to 200 individual battery cells and runs on 84V/100V/126V/134V, depending on the device. These high voltages are achieved by connecting the batteries in series, while the number of parallels determines the maximum amperes. A device can have a 34s4p configuration, meaning 34 cells connected in series arranged in 4 parallel packs, together then 34*4 = 136 cells. A cell runs on max 4.2V and can give 10 to 30 amps depending on the model. So far, mostly high-capacity cells from LG have been used, but recently some high-discharge Samsung 40T cells have also been considered and implemented, which can deliver significantly more power long term and are therefore safer for high-performance devices.
          </p>

          <p>
            Not enough <b id="parallels">parallels</b> in a battery pack result in an unreliable power supply for the motor, as high power demands can lead to a voltage drop (voltage sag). This means that for the duratiob of high demand the battery cannot provide full power, which is very dangerous with a self-balancing device. Because of this, most devices have 4 or more parallels. In addition, most devices have 2 separate battery systems, so the driver can still stop safely incase one fails. The high voltage is necessary to enable the high speeds. The higher the voltage the motor runs at, the fewer amperes the motor needs to achieve the same power output. High amps require a more robust motherboard, thicker cables, and generate more heat.
          </p>

          <p>
            All battery packs have a
            <b>
              <a href="#BMS">BMS</a>
            </b>
            (Battery Management System), which ,dependant on the variant and quality, ensures the safety of the cells. If battery cells get overloaded, discharged or charged too much, they can in the best case lose capacity and in the worst case burst into flames. A good <a href="#BMS">BMS</a> is therefore essential for the safety and longevity of the device and the rider. More on this in the <a href="#akkuss">Battery Safety</a> section.
          </p>

          <div class="righties">
            <img src="/images/MoBo.jpg" />
          </div>
          <div class="lefties">
            <img src="/images/realMoBo1.PNG" />
          </div>
          <p>
            The <b>motherboard</b> consists of, among other things, the power input from the battery and charging socket, the three phasewires that connect the motor,{" "}
            <a href="https:/de.wikipedia.org/wiki/Metall-Oxid-Halbleiter-Feldeffekttransistor" target="_blank" rel="noreferrer noopener">
              MOSFETs
            </a>{" "}
            and capacitors for current regulation and the tilt sensors, as well as sometimes a screen and a Bluetooth module. The power input from the battery usually runs via XT90 connectors, which are made for high currents. This current is distributed via the MOSFETs, between 6 and 42 of them depending on the device, to the 3 phases that the motor needs to run. Capacitors (between 4 and 18) deliver peak power, which would be too fast for the <a href="#akku">battery</a>. So far the usual buildup for a motherboard.
          </p>

          <p>
            However, unicycles need more specialized boards, as they also have to enable strong <b>recuperation</b>. This means that while braking, the braking energy goes back into the <a href="#akku">battery</a> and, in contrast to an electric car, to the full extent. The recuperation ability of a motherboard is decisive for the braking performance of an unicycle. It must therefore be possible to take back just as much current as can be put out, if not more.
          </p>

          <p>The screen and Bluetooth module are used, among other things, for displaying speed, music playback and information about the battery level and current power output. Some devices with a touchscreen can also adjust driving style and incline without a mobile phone app connection.</p>

          <div class="righties">
            <img src="/images/Motor.jpeg" />
          </div>
          <div class="lefties">
            <img src="/images/realMotor.png" />
          </div>
          <p>
            The <b id="motor">motor</b> of a unicycle is a 3-phase hub motor, i.e. a motor whose outer part is also the <a href="#reifen">tire</a>. The exact functionality and explonation you can find{" "}
            <a href="https:/www.electricunicycles.eu/motor_in_electric_unicycle_part_1-c__201" target="_blank" rel="noreferrer noopener">
              here
            </a>
            . This saves noisy chains, gears and space, but also requires more precise motor control and finer coils as well as magnets inside. The motors are equipped with hall sensors, sometimes 2 for safety, which communicate the exact position of the motor to the motherboard. There is a distinction between high speed (HS) and high torque (HT) motors.
          </p>

          <p>
            <b>High Speed</b> motors run faster and more efficiently at speed (up to 90kmh at 100v), but have very high energy consumption and less power at low speeds. The coils and magnets are larger, therefore you can hear the motors steps grumbling at slow speed.
          </p>

          <p>
            <b>High Torque</b> motors have very high torque (130Nm-300Nm), are very efficient at low speed and feel considerably smoother. On the other hand, they usually do not reach higher speeds then around 65kmh at 100v, and lose performance with increasing speed.
          </p>

          <p>
            Since the introduction of 126v and <b>134v systems</b> this is a bit more unclear, so that now a HT motor at 134v can also reach 92kmh and still have enough torque to drive up almost 50° steep walls. We will soon see what a HS motor at 134v can achieve. Most of the time the battery and the motherboard are the limiting factor, the motors could do more in most cases. Thats why <a href="#begode">Gotway/Begode</a> has been using the same 2 motors for years now, only increasing battery performance and operating voltage.
          </p>

          <p>The interaction of all these components results in an extremely powerful, small and fast device, which accelerates from 0 to 50kmh in 3 seconds and can reach up to 90kmh, climbs 50° steep walls and still fits under the table.</p>
        </div>

        {/*
      <!--begriffe-->
      */}
        <div class="row">
          <h3 id="begriffe">Glossary and specification explonation</h3>
          <div class="col-6">
            {/*
          <style>
            p {
              text-align: left;
            }
          </style>
          */}
            <p>
              <b id="tiltback">Tilt-back</b>: The device's pedals tilt backwards to slow the rider down. Used when the battery is low or when the power demand is too high, to protect the electronics.
            </p>

            <p>
              <b id="pedaldip">Pedal Dip</b>: The pedals dip forwards, the device cannot maintain the requested power and the pedals suddenly tilt forward (or backward under heavy braking). In most cases, however, the pedals come up again immediately, so that the ride can continue undisturbed (implies necessary skill).
            </p>

            <p>
              <b>Pedal-angle</b>: Angle in which the pedals are mounted to the device, seen from the frontview. A steeper angle provides more grip when cornering, but can also become uncomfortable for longer rides.
            </p>

            <p class="imghover">
              <b id="spiked-pedals">Spiked-pedals</b>: Spikes on the pedals that give shoes more grip. Similar to mountain bike pedals, there are usually screw-in pointed metal pins that grip into the shoe to prevent accidental slipping. Is used today instead of sandpaper, as it offers an excellent grip even in wet and muddy conditions. <a href="https:/youtu.be/aWU9lZAfKXM">Example</a>
            </p>
            <div class="hidden">
              <img src="/images/SpikedPedals.jpeg" />
            </div>

            <p class="imghover">
              <b id="pads">Pads</b>: parts made of plastic or foam that are mounted on the side of the device, usually printed from TPU and PLA and fastened with large, strong Velcro. They are necessary for better control and handling, especially for heavy and fast unicycles. They are divided into 2 types, many are combined together in one set.
            </p>
            <div class="hidden">
              <img src="/images/Pads.jpg" />
            </div>

            <p>
              <b>Power Pads</b>: have contact with the shin and the calves, are used for better acceleration and braking. Essential for heavy EUCs with high pedals.
            </p>

            <p>
              <b>Jump Pads</b>: have contact with the foot and verse, used for jumping and safety. In case of an unexpected bump in the road, they will hold your foot so you don't fall off the device. But they might cause more injury in the case of a crash, because you cant get off quick enough
            </p>

            <p>
              <b>Wobbles</b>: describes the unintentional wobbling of the device at higher speeds. More on this <a href="#wobbles">here</a>
            </p>
          </div>

          <div style="padding-left: 3%" class="col-6">
            <p class="imghover">
              <b id="trolley">Trolley Handle</b>: an extendable handle for pushing the device, similar to a suitcase.
            </p>
            <div class="hidden">
              <img src="/images/KidsKS16X.jpg" />
            </div>

            <p>
              <b>Kill-Switch</b>: a button under the handle that shuts off the motor. Ensures that the motor doesnt rev up when lifting.
            </p>

            <p>
              <b>Cut-off /Cut-out</b>: Sudden shutting off of the device while riding, see chapter <a href="#cutout">Cut-out</a>.
            </p>

            <p>
              <b>HS Motor</b>: High Speed motor, see chapter <a href="#motor">Motor</a>.
            </p>

            <p>
              <b>HT Motor</b>: High Torque motor, see chapter <a href="#motor">Motor</a>.
            </p>

            <p>
              <b>W</b>: Watt, power specification, shows how much power the device can hold continuously. 3000W corresponds to 4 hp (an e-bike has a maximum of 250w). Not to be confused with
            </p>

            <p>
              <b>Peak Watt</b>: Maximum power that the device can reach for a very short time.
            </p>

            <p>
              <b id="wh">Wh</b>: Watt hours, energy storage information, shows how much energy the <a href="#akku">battery</a> can store. 3000wh means the battery could give 3000w for over an hour, or 1500w for 2 hours etc.
            </p>

            <p>
              <b>BMS</b>: stands for Battery Management System, <a href="#BMS">explained here</a>
            </p>

            <p>
              <b>Voltage sag</b>: Voltage drop, the battery loses voltage for a short period of time under high load, which increases the amps flowing when the same power is requested.
            </p>

            <p>
              <b>Freespin</b>: Maximum spin speed the motor can reach when lifting the device. Calculate minus 20 km/h to get approximately the reachable top speed.
            </p>

            <p>
              <b>16inch</b>: describes the tire size, in this case 16 inches (40cm) in diameter. Small diameters are agile and have a quick response, large diameters (up to 24inch, 60cm) feel heavy and sluggish but are significantly more stable at speed.
            </p>

            <p>
              <b>Charging Amps</b>: The maximum amps that the device can charge with. Most new devices charge with a maximum of 10 amps, i.e. 10*100 or 10*134 watts. The charging time is calculated as follows: capacity/volt/charging ampere. 3300wh:126v:10A = 2.6h.
            </p>
          </div>
        </div>

        {/*
      <!--sicherheit-->
      */}
        <div class="row">
          <h2 id="sicherheit">Safety</h2>
          <p>The second most common question is usually whether you don't just fall off and whether it's safe at all. The short answer: yes it is. While there are risks, as with any mode of transportation, they are much smaller and less important than one might initially assume. Nevertheless, a few safety-related aspects have arisen over the years, which are further explained here:</p>
        </div>

        {/*
      <!--ausrüstung-->
      */}
        <div class="row">
          <h3 id="ausrüstung">Safety gear</h3>
          <div class="righties">
            <img src="/images/Gear2.jpg" />
          </div>
          <div class="lefties">
            <img src="/images/Gear1.jpg" />
          </div>
          <p>
            Any EUC YouTuber and experienced rider will tell you that protective gear is essential. Depending on the speed, protective equipment definitely includes hand and kneeguards like the famous{" "}
            <a href="https:/www.amazon.de/-/en/Leatt-Brace-Unisex-Double-5017010182/dp/B01M9DCEPO?th are popular =1&psc=1" target="_blank" rel="noreferrer noopener">
              Leatt dual axis knee guards
            </a>
            . At <b>below 30kmh</b>, i.e. very small devices, you can also ride without equipment if necessary. It's not something people like to see, but if you're a bit sporty, you can just outrun every crash. Something that is not possible with bicycles.
          </p>

          <p>
            At higher speeds (<b>above 30kmh</b>) a helmet should be worn, preferably a full-face helmet. An MTB helmet is sufficient for speeds up to 60 km/h, or one from the motocross sector. Elbow and shoulder protection should also be considered. The <a href="https:/lazyrolling.com/">LazyRolling</a> jackets are popular here, as they all have built-in protectors and usually also offer good visibility at night. For the helmets, the <a href="https:/www.ridetsg.com/shop/pass-pro-solid-color----bonus-visor-/79025-30-173/">TSG Pass</a> and recently the <a href="https:/www.predatorhelmets.com/products/dh6-x">Predator DH6-X</a> are very popular because of the high field of view, small weight and stylish look. At speeds of <b>80 to 100kmh</b> you should think about motorcycle gear as the items mentioned above are not built for these speeds.
          </p>

          <p>
            Generally 2 things apply:
            <br />
            The best gear is the one you wear. This means that no matter how good your gear is, it only works if you actually wear it. It has to be comfortable and you have to feel good in it. <br />
            And: Dress for the slide, not the ride. This states that you should always dress appropriately for the worst-case scenario. For example, on an Inmotion V8 with a top speed of 28kmh, you should not wear full motorcycle gear as it will limit your vision and would be far too much for the situation. But you also don't wear a bike helmet on a Master Pro with 100kmh.
          </p>
          <div>
            <img src="/images/Gear3.webp" />
          </div>
        </div>

        {/*
      <!--cut-offs-->
      */}
        <div class="row">
          <h3 id="cutout">Cut-off's</h3>
          <div class="righties">
            <video autoplay muted loop>
              <source src="/videos/Cutout1.mp4" type="video/mp4" />
            </video>
          </div>
          <p>Cut-off's are the largest source of accidents the rider is mostly not responsible for. A cut-off or cut-out means that the device switches off in the middle of the ride and the driver jumps off in the best case, and in the worst case slams directly into the asphalt. There are many reasons for this, here are a few examples:</p>

          <p>
            When <b>overloaded</b>, older or poorly built devices simply shut off, either because they burned out or because the electronic is protecting itselve from burning out. Overloading happens when you climb steep paths, when you hit a big hump in the road at high speed, or when you accelerate again close to the top speed. Of course, this behavior has not gone unnoticed, which is why manufacturers have incorporated techniques to avoid overload induced cut-off.
          </p>

          <p>
            Almost all devices emit a loud beeping sound when they are close to the load limit to warn the driver. Many also use tilt-back to keep riders below top speed, which works very effectively. It also happens more and more frequently that the motor is only switched off for a very short time in the event of an overload, in order to protect the electronics. This then causes a <a href="#pedaldip">pedal dip</a>, and in most cases the ride can be continued normally.
          </p>

          <p>Motherboards are now so robust and power output is so high that overload induced cut-outs are rare, and then only when the rider is driving extremely aggressively or there was something wrong with the device beforehand, like in this example video right.</p>

          <p>
            Another reason, which mostly affects the newest devices (usually devices from the first batch), are <b>software bugs or faulty hardware</b>. This reason for cut-outs is the scariest because it can just happen. Regardless of the speed and workload. A well-known example here was the Inmotion V12 cut-outs, in which the built-in MOSFETs were faulty and thus led to cut-offs in many devices. In the devices produced later, such problems are usually eliminated.
          </p>

          <p>
            The final example here is a <b>low battery</b>. When the battery is low, the device no longer runs at the full 100.8V, but rather around 80V. If a lot of power is now required, there will be a voltage drop as described in the <a href="#akku">Battery</a> chapter. If the voltage falls below the minimum, the electronics switch off. Modern devices limit the top speed when the battery level drops, but in particular some <a href="#begode">Gotway</a> devices dont do this. This causes riders to demand high performance despite a low battery level, and thus not only damage their battery in the long term, but also damage themselves in the short term as a result of a cut-off.
          </p>

          <p>Despite all these reasons, cut-outs are very rare and, if you ride correctly, almost never a problem. And if you buy historically safe devices like the KS16X or Veteran Sherman, you can be relatively unmindful.</p>
        </div>

        {/*
      <!--akkusicheit-->
      */}
        <div class="row">
          <h3 id="akkuss">Battery safety and fires</h3>
          <p>
            First of all: in contrast to for example hoverboards, unicycles are quite safe in terms of fire and battery safety. In the past, however, <a href="#begode">Gotway/Begode</a> in particular was known for battery fires and a lack of battery safety. But since recently the{" "}
            <a href="https:/youtu.be/8h41p13e4TU?t=610" target="_blank" rel="noreferrer noopener">
              {" "}
              KS S22 prototype burned spectacularly
            </a>
            , the worry is now also there for other brands.
          </p>
          <div class="righties">
            <video width="auto" height="auto" autoplay muted loop>
              <source src="/videos/shortS22Fire.MP4" type="video/mp4" />
            </video>
          </div>
          <img class="lefties" src="/images/burned.png" />
          <p>
            There are several <b>causes</b>, here are a few examples:
          </p>

          <p>
            <b>Deep discharge</b>, i.e. discharging below the recommended cell voltage, damages the <a href="#akku">battery</a> and increases the risk. Begode in particular has little protection, and usually allows a lot of power to be drawn when the battery level is low, by letting the device run until it's completely drained. But Ninebot also has a problem with this, because the <a href="#akku">battery</a> also discharges when the device is off due to the <a href="#BMS">BMS</a>. Long standing times without recharging will lead to damage. Ninebot has little-known brands, more on that in the <a href="#manufacturer">manufacturer chapter</a>.
          </p>

          <p>
            <b>Devices with a 4P configuration</b>, i.e. only 4 <a href="#parallelen">parallel</a> Battery cell rows are also more often affected by battery fires. As mentioned in the <a href="#akku">Battery</a> part, this is because the cells are heavily loaded in a 4P configuration and therefore can be damaged and only have a short lifespan.
          </p>

          <p>
            <b>Physical damage</b>, i.e. shock or penetration of the cells, can also lead to a short circuit and, in the worst case, to a fire. This is rather rare, but also more common with Begode, since the batteries are packed exclusively in shrinkwrap and can then move relatively freely in the housing. Whereas <a href="#manufacturer">Kingsong</a> and <a href="#manufacturer">Inmotion</a> pack the batteries separately and usually also make them waterproof.
          </p>

          <p>
            <b>Short circuits</b> on the motherboard are probably the most common causes of fires while or after driving. This aspect is quite self-explanatory and can only be prevented with adequate fuses on the <a href="#BMS">BMS</a>.
          </p>

          <p>
            <b>Water damage</b> in the battery pack or on the motherboard can lead to flashovers, as with any electronic device. These can still lead to a fire days later, especially if the device is charged after it has been completely soaked. There was one{" "}
            <a href="https:/youtu.be/WFLHCIbDJAw?t=939" target="_blank" rel="noreferrer noopener">
              case
            </a>{" "}
            just recently.
          </p>

          <div class="righties">
            <img src="/images/BMS.jpg" />
          </div>
          <p>
            <b>Battery safety</b>: A <b id="BMS">BMS</b> is responsible for this. A <b>B</b>attery <b>M</b>anagement <b>S</b>system has the task
            <br />
            -to protect the battery from excessive currents,
            <br />
            -not to let it discharge below the specified voltage,
            <br />
            -not to charge it beyond the maximum voltage,
            <br />
            -keep an eye on the temperature and
            <br />
            -disconnect from the rest of the system in the event of a short circuit.
          </p>
          <p>Better BMS's, also known as smart BMS, can also actively adjust the voltage of the cells in order to avoid too great of a voltage difference between the cells. This is very important for the longevity of a battery pack.</p>

          <p>
            So far (2022) only the Kingsong S22 has a smart <a href="#BMS">BMS</a> which allows you to see and control the voltage of each cell in the app. Non-smart <a href="#BMS">BMS</a> have so-called passive balance, i.e. passive adjustment of the voltages of the cells. To do this, the device must be charged regularly to 100% and then left plugged in for a longer period of time.
          </p>
        </div>

        {/*
      <!--fahrweise-->
      */}
        <div class="row">
          <h3 id="fahrweise">Fahrweise</h3>
          <div class="righties">
            <video width="auto" height="auto" autoplay muted loop>
              <source src="/videos/FahrweiseNYC.mp4" type="video/mp4" />
            </video>
          </div>
          <div class="lefties">
            <video width="auto" height="auto" autoplay muted loop>
              <source src="/videos/FahrweiseNYC4bad.mp4" type="video/mp4" />
            </video>
          </div>
          <p>By far the greatest safety risk is the rider's riding style. Similar to motorcycles, reckless driving and excessive speeds can quickly lead to accidents. Unlike motorcycles, hardly anyone dies in an accident involving an EUC. With a few exceptions, the devices are so small and relatively slow that there are injuries, but hardly any fatalities.</p>

          <p>Nevertheless, there are also a few interesting phenomena here:</p>

          <p>
            In contrast to scooters, the <b>steep learning curve</b> ensures more respect for the device and one's own skills. Many only go near the traffic when they have practiced longer and feel safe, whereas, especially with rental scooters, the first ride usually takes place directly between cars or pedestrians. This results in significantly fewer incidents involving EUCs.
          </p>

          <p>
            Riding the EUC is a very <b>skill based</b> means of transport. Even the emergency brake has to be practiced for a long time, in different scenarios and especially in curves. It often happens that drivers stop actively pushing and improving themselves after the first few kilometers. Therefore some with years of riding experience are unsafe when getting on and off, and do not know how to help themselves in emergency situations. Many have an incorrect stance or ride on wobbly legs, which causes <a href="#wobbles">wobbles</a> and leads to falls. That's also the reason why the New Yorker riders have fewer accidents than other groups and cities, despite or because they drive so aggressively and therefore have a very higher skill level. These machines can only do as much as their driver, and with the right skill they are capable of incredible things.
          </p>
          <div class="righties">
            <video width="auto" height="auto" autoplay muted loop>
              <source src="/videos/FahrweiseNYC2.mp4" type="video/mp4" />
            </video>
          </div>
          <div class="lefties">
            <video width="auto" height="auto" autoplay muted loop>
              <source src="/videos/FahrweiseNYC3.mp4" type="video/mp4" />
            </video>
          </div>
          <p>
            <b>Accidents</b> themselves are also worth mentioning here, because there are some crucial differences that make EUCs safer than other vehicles in a certain way.
          </p>

          <p>
            First, you <b>stand upright</b> and have your hands and body free. That alone makes it much easier to catch a fall than, for example, with a bicycle or scooter. With them you either fly over the handlebars or slip sideways and don't have both legs to catch you.
          </p>

          <p>
            Secondly, you stand facing <b>forwards</b>, and therefore dont get{" "}
            <a href="https:/dictionary.cambridge.org/de/worterbuch/englisch/yeet" target="_blank" rel="noreferrer noopener">
              yeeted
            </a>{" "}
            sideways into the ground like on OneWheels. Most can just jump off and run out under 26kmh without even falling. This is otherwise only possible with very few devices of this type. Of course you are not as safe as on a big motorbike, or as in a car. But compared to a motorcycle, the speeds are usually way lower and therefore much less dangerous. In addition, you usually wear the recommended equipment anyway, so that 99% of the time nothing happens at all.
          </p>
        </div>

        {/*
      <!--wobbles-->
      */}
        <div class="row">
          <h3 id="wobbles">Wobbles</h3>
          <div class="righties">
            <video id="vwobble" autoplay muted loop>
              <source src="/videos/Whobble2.mp4" type="video/mp4" />
            </video>
          </div>
          <p>
            Wobbles are a problem not fully understood yet. Wobble describes the <b>shaking</b> of the device side to side while riding fast. As mentioned in the <a href="#tires">tires</a> topic, road tires tend to wobble more often. The device then wobbles in its own resonance, also known in the motorcycles world.
          </p>

          <p>
            You can avoid this by keeping the <b>tire pressure</b> lower and having a balanced machine, i.e. with even weight distribution. It also helps to be <b>carve</b> slightly, i.e. to ride slight slalom. If you still get wobbles, it helps to have good <a href="#pads">pads</a> as they give you more grip on the device and thus more time to react. But there are different opinions on how to actually end them: some say you should relax and brake, others say never brake, but grip harder and accelerate.
          </p>

          <p>
            However, the example video here is also an extreme case, albeit perfectly saved with the knee pads. In a normal case, you would feel a slight wobble when braking, and over time you would get it under control. Generally, many say it's a <b>matter of training</b> and experience. Also, devices like Gotway's MSuper series, RS's and EXN's are more vulnerable than, for example, the Veteran Sherman or the <a href="/KS22ENG">KS S22</a>.
          </p>
        </div>

        {/*
      <!--leistng-->
      */}
        <div class="row">
          <h3 id="leistung">Performance as a safety feature</h3>

          <p>
            Especially politicians and people outside of this sport think that more performance equals more risk. They are almost right with scooters and e-bikes because they do not depend on power for stabilization. EUCs, OneWheels, and all manner of hoverboards and Segways are, though, and that creates a bit of a contradiction. More power gives the rider a lot of <b>braking safety</b>, and <b>reduces the risk</b> of overload-induced <a href="#cutout">cut-offs</a>. A larger battery also provides more <b>power reserves</b> for difficult terrain. But more power also means significantly higher speeds, which opens the door to all the bad accidents in the first place.
          </p>
        </div>

        {/*
      <!--federung-->
      */}
        <div class="row">
          <h3 id="federung">Suspension as a safety feature</h3>
          <p>Almost all new and announced devices have some form of built-in suspension. Initially seen as a gimmick and "off-road only", this feature is slowly becoming a necessity. Because with a self-balancing device, every bump in the road causes a power spike in the controller. This is usually not a problem at 35kmh, but at 70kmh it can be too much for many devices. Suspension takes away most of the power spike that occurs, while also making sure that rider's feet don't get shot off the pedals. The exception here are the pogostick designs in the Inmotion V11, which in exceptional cases simply shoot up the rider instead of dampening him. Nevertheless, the progressive suspensions in particular not only ensure significantly more comfort, but also rider safety. And allow mountain bike-like performance on the trails.</p>
        </div>

        {/*
      <!--reifen-->
      */}
        <div class="row">
          <h3 id="reifen">Tires</h3>
          <img class="righties" src="/images/Tires.PNG" />
          <p>Tires can be divided into 3 categories:</p>

          <p>
            <b>Offroad</b> tyres, also known as nobbys, have a large and usually a very rough profile. They tend to be noisier on the road, have a larger turning circle, and don't feel nearly as agile and nimble on the road as street tires. On the other hand, they usually have excellent grip in the forest and can also drive through deep mud. It was also found that nobbys wobble less than street tires (
            <a href="https:/youtu.be/qcRcUIF69LU" target="_blank" rel="noreferrer noopener">
              comparison
            </a>
            ), probably because of the lower tire pressure and the softer material. Nobbys also have the advantage that they usually last longer. A standard Kenda K262 easily lasts 10000km, where a CST road tire only lasts 3-4000km.
          </p>

          <p>
            <b>Street tires</b> are, as the name suggests, better suited for asphalt, they make the device appear more agile and faster than a nobby. They are also significantly quieter, they feel significantly better in curves and allow very fine manoeuvres. There are 2 tires to mention here, the CST c-1488 which, to the chagrin of many, comes default with the device as a standard street tire. This tire has a short life span and, unlike the second tire, poor material. The second well-known tire is the Michelin City pro, which consists of a top material and therefore lasts longer.{" "}
            <a href="https:/youtu.be/PjNLci-06-8" target="_blank" rel="noreferrer noopener">
              City Pro review
            </a>
          </p>

          <p>
            <b>Hybrids</b> are popular with people who are not always out in the muddy forest or only on the road. They try to offer the best of both worlds.
          </p>

          <p>There is another type, only used in special cases like on the Z10: a full rubber airless tire. Very harsh to ride, puncture proof and longlasting.</p>
        </div>

        {/*
      <!--historie-->
      */}
        <div class="row">
          <h2 id="historie">Historie der EUCs</h2>

          <div class="righties">
            <img src="/images/solowheel-1.jpg" />
          </div>
          <img class="lefties" style="clear: none" src="/images/historieEUC.webp" />
          <p>
            The underlying technique came with the
            <a href="https:/de.wikipedia.org/wiki/Segway_Personal_Transporter" target="_blank" rel="noreferrer noopener">
              <b>Segway</b>
            </a>
            on the market. But lacking performance, battery size and construction, together with bad design and a 10k price made for a spectacular flop of this technology. There were first prototypes and individual tests of an EUC as early as 1930, but it was not until the <b>SoloWheel</b> in 2010 that it had the typical properties of today's EUC. Even if this is the first considerable EUC, it is hardly usable from today's perspective. Unergonomic, weak, far too small of a battery and therefore hardly any braking or acceleration power (see <a href="#performance">Performance as a safety feature</a>). Nonetheless, this device marked the start of the sport, and thus defined it.
          </p>

          <p>
            It took another 4 years for
            <a href="#kinsong">
              <b>KingSong</b>
            </a>
            to be foundet and driving innovation as a competitor.
            <a href="#inmotion">
              <b>Inmotion</b>
            </a>
            followed suit and set the standard for quality and features. Only then did
            <a href="#begode">
              <b>Gotway</b>
            </a>
            come onto the market. Gotway changed the nature of EUCs in a different way, and maybe even more so than Inmotion: from the start, they brought out more powerful devices then the others. They lacked good design and quality and they looked like hobby projects from the inside. Also, until recently, Gotway still used the same bad design for all devices, whereas Kingsong and Inmotion put a lot more thought into design and quality.
          </p>

          <div class="righties">
            <img src="/images/z10.jpeg" />
          </div>
          <p>
            <a href="#ninebot">
              <b>Ninebot</b>
            </a>
            bought Segway, and came out with the Ninebot One in <b>2015</b>. A 250Wh device with stylish LEDs and a white design. Then one device after the other came out. Gotway produces bigger and faster devices, Inmotion, Kingsong and Ninebot offered more and more features and tried to keep up with Gotway in terms of performance. In <b>2019</b> we saw the release of the initially unpopular, later iconic Ninebot Z10. 45kmh, 1100wh and an absolutely unique design still separates it from all other devices today. But it had many problems, and unfortunately it was the last EUC that Ninebot produced. At that point, Gotway was already at <b>50kmh+</b> with the Monster and Nicola, and the batteries were twice as big. Gotway, now called Begode, has built itself an image of high performance and speed. Many accepted the poor build quality and rare <a href="#akkuss">battery fires</a> because there were simply no alternative. This was slowly changing in <b>2020</b>, when Inmotion and Kingsong
            both released 50kmh devices with a good design. And both devices are changing the market forever.
          </p>

          <div class="righties">
            <img src="/images/S22shutterkode1.jpg" />
          </div>
          <p>
            Inmotion and Kingsong both released the first devices with <b>suspension</b> relatively simultaneously. Kingsong created today's popular swing arm design, Inmotion developed an air piston based pedal suspension. Begode later copied both variants, of course in a much worse form, and ultimately stuck with the swing arm design.
            <br />
            <a href="#veteran">
              <b>Veteran</b>
            </a>
            (Lieperkim) entered the market this year with the absolute bestseller Veteran Sherman. Just this device and the{" "}
            <a href="https:/youtu.be/i2OwOEHQ4vA" target="_blank" rel="noreferrer noopener">
              videos
            </a>{" "}
            about it launched a whole wave of new unicyclers, just plain because it was the first well built and at the same time super fast device. Finally, you were no longer dependent on the inferior quality of Begode, but could cruise stably at <b>70kmh</b> and didn't have to worry about the batteries flying out of the housing in the event of a crash.
          </p>

          <p>
            <b>2022</b> is the year with the most wheel launches, Begode alone has released or announced at least 7 devices, 6 of them with suspension. Inmotion has announced the V13 and Kingsong has brought out a bestseller with the S22. With the Sherman S, Veteran has now also presented a suspension unicycle that will probably set new standards in terms of robustness and quality.
          </p>

          <p>
            As you can easily see from the story so far, companies and unicycles are <b>developing faster and faster</b>. It took almost 6 years after the first unicycle until serious devices came onto the market. Then only 4 years to go from a shaky 35kmh to a stable 70kmh and 100km range. And in the last 2 years there have been so many innovations; Metal construction, suspension, smart BMS's, screens, spiked pedals as standard, usable <a href="#pads">pads</a> as standard, water resistance, 100kmh top speed, 240km range, almost 5000wh batteries...
          </p>
        </div>

        {/*
      <!--auflistung-->
      */}
        <div class="row">
          <h2 id="geräte">List of devices</h2>
          <p>
            Only the most relevant and well-known devices are listed here, a complete, sortable overview is available{" "}
            <a href="https:/www.electricunicycles.eu/product_catalog" target="_blank" rel="noreferrer noopener">
              here
            </a>
            .
          </p>

          <a href="/KSS22ENG">
            <div class="raster">
              <h3>Kingsong S22</h3>
              <video width="auto" height="auto" autoplay muted loop>
                <source src="/videos/S20Werbevideo.mp4" type="video/mp4" />
              </video>
            </div>
          </a>

          <a href="/soon">
            <div class="raster">
              <h3>Kingsong 16X</h3>
              <img src="/images/KS16X.jpg" />
            </div>
          </a>

          <a href="/soon">
            <div class="raster">
              <h3>Inmotion V8</h3>
              <img src="/images/inmotionV8.jfif" />
            </div>
          </a>

          <a href="/soon">
            <div class="raster">
              <h3>Inmotion V10</h3>
              <video width="auto" height="auto" autoplay muted loop>
                <source src="/videos/V10.mp4" type="video/mp4" />
              </video>
            </div>
          </a>

          <a href="/soon">
            <div class="raster">
              <h3>Inmotion V11</h3>
              <img src="/images/V11 2.jpg" />
            </div>
          </a>

          <a href="/soon">
            <div class="raster">
              <h3>Inmotion V12</h3>
              <img src="/images/V12 2.jpg" />
            </div>
          </a>

          <a href="/soon">
            <div class="raster">
              <h3>Inmotion V13</h3>
              <img src="/images/V13 2.jpg" />
            </div>
          </a>

          <a href="/soon">
            <div class="raster">
              <h3>Kingsong S18</h3>
              <img src="/images/S18.jpg" />
            </div>
          </a>

          <a href="/soon">
            <div class="raster">
              <h3>Begode Master</h3>
              <img src="/images/Master.jpg" />
            </div>
          </a>

          <a href="/soon">
            <div class="raster">
              <h3>Begode T4</h3>
              <img src="/images/T4.jpg" />
            </div>
          </a>

          <a href="/soon">
            <div class="raster">
              <h3>Begode Mten4</h3>
              <img src="/images/Mten4.jpg" />
            </div>
          </a>

          <a href="/soon">
            <div class="raster">
              <h3>Begode Master Pro</h3>
              <img src="/images/Master Pro.jpg" />
            </div>
          </a>

          <a href="/soon">
            <div class="raster">
              <h3>Begode EX30</h3>
              <img src="/images/EX30.jpg" />
            </div>
          </a>

          <a href="/soon">
            <div class="raster">
              <h3>Gotway Monster Pro</h3>
              <img src="/images/MonsterPro.jpg" />
            </div>
          </a>

          <a href="/soon">
            <div class="raster">
              <h3>Veteran Sherman</h3>
              <img src="/images/moddedSherman1.jpg" />
            </div>
          </a>

          <a href="/soon">
            <div class="raster">
              <h3>Veteran Sherman S</h3>
              <img src="/images/ShermanSepic.jpg" />
            </div>
          </a>
        </div>
      </article>
      <footer></footer>
    </>
  );
}

export default UEberblickENG;
