import { Link, Meta, Title, useNavigate } from "solid-start";

function soon() {
  const navigate = useNavigate();
  return (
    <>
      <Link rel="apple-touch-icon" sizes="57x57" href="/favicon/apple-icon-57x57.png" />
      <Link rel="apple-touch-icon" sizes="60x60" href="/favicon/apple-icon-60x60.png" />
      <Link rel="apple-touch-icon" sizes="72x72" href="/favicon/apple-icon-72x72.png" />
      <Link rel="apple-touch-icon" sizes="76x76" href="/favicon/apple-icon-76x76.png" />
      <Link rel="apple-touch-icon" sizes="114x114" href="/favicon/apple-icon-114x114.png" />
      <Link rel="apple-touch-icon" sizes="120x120" href="/favicon/apple-icon-120x120.png" />
      <Link rel="apple-touch-icon" sizes="144x144" href="/favicon/apple-icon-144x144.png" />
      <Link rel="apple-touch-icon" sizes="152x152" href="/favicon/apple-icon-152x152.png" />
      <Link rel="apple-touch-icon" sizes="180x180" href="/favicon/apple-icon-180x180.png" />
      <Link rel="icon" type="image/png" sizes="192x192" href="/favicon/android-icon-192x192.png" />
      <Link rel="icon" type="image/png" sizes="32x32" href="/favicon/favicon-32x32.png" />
      <Link rel="icon" type="image/png" sizes="96x96" href="/favicon/favicon-96x96.png" />
      <Link rel="icon" type="image/png" sizes="16x16" href="/favicon/favicon-16x16.png" />
      <Link rel="manifest" href="/favicon/manifest.json" />
      <Meta name="msapplication-TileColor" content="#ffffff" />
      <Meta name="msapplication-TileImage" content="/favicon/ms-icon-144x144.png" />
      <Meta name="theme-color" content="#ffffff" />
      <Meta charset="UTF-8" />
      <Meta http-equiv="X-UA-Compatible" content="IE=edge" />
      <Meta name="viewport" content="width=device-width, initial-scale=1.0" />
      <Meta name="author" content="Julian Gerhardt" />
      <Meta name="keywords" content="Elektrische einräder, EUC, Monowheels, Kingsong, Inmotion, Gotway" />
      <Title>soon</Title>
      <Link rel="stylesheet" href="/styles/UEberblick.css" />
      <div id="navbar">
        <a href="/StartENG">Start</a>
        <a href="/UEberblickENG#start">What are EUCs?</a>
        <a href="/UEberblickENG#why">Why EUCs?</a>
        <a href="/UEberblickENG#funktion">Functionality</a>
        <a href="/UEberblickENG#begriffe">Glossarry</a>
        <a href="/UEberblickENG#sicherheit">Safety</a>
        <a href="/UEberblickENG#ausrüstung">Gear</a>
        <a href="/UEberblickENG#cutout">Cut-out's</a>
        <a href="/UEberblickENG#akkuss">Battery safety</a>
        <a href="/UEberblickENG#fahrweise">Ride style</a>
        <a href="/UEberblickENG#wobbles">Wobbles</a>
        <a href="/UEberblickENG#leistung">Performance</a>
        <a href="/UEberblickENG#federung">Suspension</a>
        <a href="/UEberblickENG#reifen">Tires</a>
        <a href="/UEberblickENG#historie">History</a>
        <a href="/HerstellerENG">Manufacturer</a>
        <a href="/UEberblickENG#geräte">Device list</a>
        {/* <button onclick="myFunction()">Light Mode</button> */}
        {/* <button onclick="window.location.href='HerstellerDE';">Sprache</button> */}
        <div>{/* <button onclick="closeit()"><a> <-Close</a></button> */}</div>
      </div>
      <div id="sidenavbar">
        <button onClick={() => navigate(-1)}>Back</button>
        {/* <button onclick="menü()">Menu</button> */}
      </div>
      {/*
    <!--light-mode-->
    */}{" "}
      {/*
    <script>
      function myFunction() {
        var element = document.body;
        element.classList.toggle("light-mode");
      }
    </script>
    */}{" "}
      {/*
    <!--menü-->
    */}{" "}
      {/*
    <script>
      function menü() {
        var element = document.body;
        element.classList.toggle("menü");
        document.getElementById("sidenavbar").style.visibility = "hidden";
        document.getElementById("navbar").style.visibility = "visible";
      }
    </script>
    */}{" "}
      {/*
    <!--closeit-->
    */}{" "}
      {/*
    <script>
      function closeit() {
        var element = document.body;
        element.classList.toggle("menü");
        document.getElementById("sidenavbar").style.visibility = "visible";
        document.getElementById("navbar").style.visibility = "hidden";
      }
    </script>
    */}
      <p style="text-align: center">This side is not available yet.</p>
      <button onClick={() => navigate(-1)}>Back</button>
    </>
  );
}

export default soon;
